package com.tuoheng.admin.enums.code.workorder;

/**
 *  工单详情返回码
 *      模块代码：26（工单管理）
 *      接口代码：02 （工单详情）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-08
 */
public enum QueryWorkOrderDetailsCodeEnum {

    QUERY_IS_FAILED(1260200, "查看工单详情失败"),
    ID_IS_NULL(1260201, "工单id"),
    WORK_ORDER_IS_NOT_EXIST(1260202, "工单不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryWorkOrderDetailsCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
